<div class="player-container" [ngClass]="{'win-background': isWinner, 'draw-background': isDraw}">
  <div class="player-score" *ngIf="player.isEnabled && score">
    {{score.name}}
    <div *ngIf="isWinner || isDraw"> - <span *ngIf="isWinner" class="win">WIN</span><span class="draw" *ngIf="isDraw">Tie</span>
    </div>

  </div>
  <div class="player-name" *ngIf="player.isEnabled">Player {{player.number}}</div>
  <div class="cards-container" *ngIf="player.isEnabled && player.cards && player.cards.length > 0">
    <app-card *ngFor="let card of player.cards; let i = index" [card]="card" (click)="selectCard(i)"
              [isSelected]="isSelectedCard(i)"></app-card>
  </div>
  <div class="add-button" (click)="enablePlayer()" *ngIf="!player.isEnabled">+</div>

</div>
